Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 733925 - Review Request: libdatrie - double-array trie implementation library
Summary: Review Request: libdatrie - double-array trie implementation library
Keywords:
Status: CLOSED DUPLICATE of bug 1062542
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-08-28 16:38 UTC by Aurimas Černius
Modified: 2014-02-07 08:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-16 21:54:22 UTC


Attachments (Terms of Use)

Description Aurimas Černius 2011-08-28 16:38:29 UTC
Spec URL: https://fedoraproject.org/w/uploads/3/3f/Libdatrie.spec
SRPM URL: https://fedoraproject.org/w/uploads/5/5e/Libdatrie-0.2.4-1.src.rpm
Description: A library, implementing double-array trie data structure. You can find the detailed description in upstream home page:
http://linux.thai.net/~thep/datrie/datrie.html

Comment 1 Aurimas Černius 2011-08-28 16:41:51 UTC
Added FE-NEEDSPONSOR to blocks, since it's my first package.

Comment 2 Michael Schwendt 2011-09-03 08:57:35 UTC
Please at least skim over the following pages, especially with regard to search terms relevant to your package. For example, you could have searched for a section covering static and shared libraries:

https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
https://fedoraproject.org/wiki/Packaging:Guidelines
https://fedoraproject.org/wiki/Packaging:NamingGuidelines
http://fedoraproject.org/wiki/Licensing#SoftwareLicenses


* MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Which does not imply that only a reviewer should do this. It's a tool for packagers.


> Libdatrie-0.2.4-1.src.rpm

rpmlint says something about this.


> Name:      libdatrie
> Group:     Development/Libraries

Base library packages typically go into group "System Environment/Libraries".
https://fedoraproject.org/wiki/Packaging:DistTag


> Release:   1

https://fedoraproject.org/wiki/Packaging/NamingGuidelines
https://fedoraproject.org/wiki/Packaging:DistTag

If you don't like the dist tag, a brief rationale would be appreciated.


> Summary:   An Implementation of Double-Array Trie

In the installer and package tools, leading "An", "A", "The" merely decrease readability. Many book/report titles also omit them to be even more concise.

Summary: Implementation of Double-Array Trie


> License:   LGPLv2.1+

rpmlint says something about this.


> BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


> %install
> rm -rf %{buildroot}

> %clean
> rm -rf %{buildroot}

https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean


> %package  devel
> Summary:  Development files for libdatrie

Notice you don't have a leading article here either. ;)

> Requires: libdatrie

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> %defattr(-,root,root,-)

Either at the beginning of all sections or omitted because of:
http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions


> %{_libdir}/libdatrie.so.1*

https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries


> %{_libdir}/libdatrie.a
> %{_libdir}/libdatrie.la

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries


> %package   doc
> Requires:  libdatrie

Clearly the documentation subpackage does not depend on the library. See also:
https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires

> Group:     Development/Libraries

https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

> %files doc
> %{_datadir}/doc/datrie/
> %{_datadir}/doc/libdatrie/

Any particular reason why the documentation is not put into %{_defaultdocdir}/%{name}-%{version} - but split up into two directories plus the base library package adding another doc directory?

> %doc AUTHORS COPYING README

What about file NEWS?


> %{_datadir}/man/man1/trietool-0.2.1.gz

There is %{_mandir} = %{_datadir}/man

Comment 3 Aurimas Černius 2011-09-11 14:29:03 UTC
I've uploaded the updated spec and SRPM, the same links as in the first post.

Below is the output of rpmlint for all rpms:


$ rpmlint libdatrie-0.2.4-2.fc15.i686.rpm
libdatrie.i686: W: spelling-error %description -l en_US trie -> tire, true, tie
libdatrie.i686: W: spelling-error %description -l en_US Trie -> Teri, Brie, Erie
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint libdatrie-debuginfo-0.2.4-2.fc15.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint libdatrie-devel-0.2.4-2.fc15.i686.rpm
libdatrie-devel.i686: W: no-documentation
libdatrie-devel.i686: W: no-manual-page-for-binary trietool-0.2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint libdatrie-doc-0.2.4-2.fc15.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint libdatrie-0.2.4-2.fc15.src.rpm
libdatrie.src: W: spelling-error %description -l en_US trie -> tire, true, tie
libdatrie.src: W: spelling-error %description -l en_US Trie -> Teri, Brie, Erie
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 4 Rex Dieter 2012-04-19 20:04:07 UTC
fyi, in the future, when making modifications/updates to your packaging, bump Release, and make sure to include a changelog entry detailing the changes.

Comment 5 Matthias Runge 2012-06-04 08:19:39 UTC
Aurimas, you should especially read

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

To show, you're familiar with packaging guidelines, you should do a few (5-10, depending on the your sponsor) inofficial reviews.

Comment 6 Matthias Runge 2012-12-14 09:44:41 UTC
Any progress here? Aurimas, are you still interested?

Comment 7 Aurimas Černius 2012-12-16 21:09:32 UTC
I'm afraid I don't have enough time for this, so I think I better spend my time contributing where I do now.

Comment 8 Christopher Meng 2014-02-07 08:51:45 UTC

*** This bug has been marked as a duplicate of bug 1062542 ***


Note You need to log in before you can comment on or make changes to this bug.